package de.sebse.fuplanner.tools;

import android.support.annotation.StringRes;

import de.sebse.fuplanner.services.Canteen.CanteenBrowser;
import de.sebse.fuplanner.services.GoogleAuth.GoogleAuth;
import de.sebse.fuplanner.services.KVV.KVV;

public interface MainAcitivityListener {
    void onTitleTextChange(String newTitle);

    void onTitleTextChange(@StringRes int titleId);

    KVV getKVV();

    GoogleAuth getGoogleAuth();

    void loginTokenInvalid(boolean doPrecheck);

    void refreshFailed(boolean isFailed);

    CanteenBrowser getCanteenBrowser();
}
